package xn.huaxue.update;

import android.annotation.SuppressLint;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;

import androidx.appcompat.app.AppCompatActivity;

import com.blankj.utilcode.util.ActivityUtils;
import com.blankj.utilcode.util.AppUtils;
import com.blankj.utilcode.util.SPUtils;
import com.blankj.utilcode.util.ToastUtils;
import com.lxj.xpopup.XPopup;
import com.lxj.xpopup.impl.InputConfirmPopupView;

import org.greenrobot.eventbus.EventBus;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;

import xn.huaxue.update.constant.AppConstant;
import xn.huaxue.update.databinding.ActivityMainBinding;
import xn.huaxue.update.event.TaskEvent;

public class MainActivity extends AppCompatActivity {
    private ActivityMainBinding binding;
    private InputConfirmPopupView inputConfirmPopupView;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        binding = ActivityMainBinding.inflate(getLayoutInflater());
        setContentView(binding.getRoot());

        binding.versionNameTV.setText(AppUtils.getAppVersionName());
        inputConfirmPopupView = new XPopup.Builder(this).autoDismiss(false).asInputConfirm("Tips", "请输入管理员密码",
                text -> {
                    if (text.equals(SPUtils.getInstance().getString(AppConstant.ADMIN_PASSWORD, "admin@098&"))) {
                        ActivityUtils.startActivity(SettingActivity.class);
                        inputConfirmPopupView.dismiss();
                    } else {
                        ToastUtils.showLong("密码不正确,请重新输入!");
                    }
                });
        binding.logoIV.setOnLongClickListener(new View.OnLongClickListener() {
            @Override
            public boolean onLongClick(View v) {
                if (AppUtils.isAppDebug()) {
                    ActivityUtils.startActivity(SettingActivity.class);
                } else {
                    EditText editText = inputConfirmPopupView.getEditText();
                    if (null != editText) {
                        editText.setText("");
                    }
                    inputConfirmPopupView.show();
                }
                return true;
            }
        });

        if (!EventBus.getDefault().isRegistered(this)) {
            EventBus.getDefault().register(this);
        }
        Tool.INSTANCE.startTaskService();
    }

    @Subscribe(threadMode = ThreadMode.MAIN)
    public void onMessageEvent(TaskEvent event) {
        binding.tipsTV.setText(event.getMsg());
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        if (EventBus.getDefault().isRegistered(this)) {
            EventBus.getDefault().unregister(this);
        }
    }

    @SuppressLint("MissingSuperCall")
    @Override
    public void onBackPressed() {
    }

}