package xn.huaxue.update.http;


import org.json.JSONException;
import org.json.JSONObject;

import java.io.IOException;

import okhttp3.Response;
import xn.huaxue.update.Tool;

public enum HttpTool {
    INSTANCE;

    public Response terminalAuth() throws IOException, JSONException {
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("deviceCode", Tool.INSTANCE.getSerialNumber());
        jsonObject.put("code", "aio_chemical");
        return OkHttpUtils.INSTANCE.postSync(Tool.INSTANCE.getBaseUrl() + "terminal/authorize", jsonObject.toString());
    }

    public Response update() throws IOException, JSONException {
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("deviceCode", Tool.INSTANCE.getSerialNumber());
        return OkHttpUtils.INSTANCE.postSync(Tool.INSTANCE.getBaseUrl() + "terminal/upgrade/device/task", jsonObject.toString());
    }

    public Response updateCallBack(String taskId, String deviceCode, boolean isDownload, boolean isInstall) throws IOException, JSONException {
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("taskId", taskId);
        jsonObject.put("deviceCode", deviceCode);
        if (isDownload) {
            jsonObject.put("status", "downloaded");
        }
        if (isInstall) {
            jsonObject.put("status", "success");
        }
        return OkHttpUtils.INSTANCE.postSync(Tool.INSTANCE.getBaseUrl() + "terminal/upgrade/device/callback", jsonObject.toString());
    }
}
